<div class="span12">
	<div class="well-white">
		<div class="page-header">
			<h1>Bienvenue sur notre support en ligne</h1>
		</div>

		<div class="body">
		
		<?php
		if (isset($error))
			echo '<div class="alert alert-danger">' . $error . '</div>';
		if (isset($success))
			echo '<div class="alert alert-success">' . $success . '</div>';
	?>

<?php if(isset($message)): ?>
<div class="alert alert-info">
	<?php echo $message;?>
</div>
<?php endif; ?>

		<p>Bienvenue sur notre support en ligne. Notre système de support en ligne va vous permettre de suivre l'état de votre demande en temps réel et d'avoir un interlocuteur unique dédié à votre demande.</p> 	
		<p>Pour ouvrir un nouveau ticket veillez choisir un département ci-dessous.</p>
		
		<div class="badge badge-info">Selectionnez un Département</div><p></p>
		<select class="select2" id="dept">
					
		<?php
			foreach($departments as $dept): ?>
			<option value="<?php echo $dept['deptid'];?>"><?php echo $dept['deptname'];?> </option>  
		<?php endforeach; ?>
    	</select>
    	<a href="#" id="select" class="btn btn-primary">Selectionner</a>
		</div>

	</div>

</div>

<script>
	$(function(){
		$("#select").click(function(){
			deptid = $("#dept").val();
			if(deptid)
			{
				window.location = '<?php echo site_url();?>/index/openticket/' + deptid ;
			}
			else
			{
				$.bootalert('Erreur', 'Selectionnez un département');
			}
		})
	})
</script>


